
From: Adrian Bunk <bunk@fs.tum.de>

Signed-off-by: Adrian Bunk <bunk@fs.tum.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 /dev/null                   |    0 
 25-akpm/drivers/net/Kconfig |   14 +++++++++++++-
 2 files changed, 13 insertions(+), 1 deletion(-)

diff -puN drivers/net/Kconfig~r8169_napi-help-text-2 drivers/net/Kconfig
--- 25/drivers/net/Kconfig~r8169_napi-help-text-2	2004-07-04 23:06:34.090923704 -0700
+++ 25-akpm/drivers/net/Kconfig	2004-07-04 23:06:34.095922944 -0700
@@ -2046,8 +2046,20 @@ config R8169
 
 config R8169_NAPI
 	bool "Use Rx and Tx Polling (NAPI) (EXPERIMENTAL)"
-	depends on R8169 && EXPERIMENTAL 
+	depends on R8169 && EXPERIMENTAL
+	help
+	  NAPI is a new driver API designed to reduce CPU and interrupt load
+	  when the driver is receiving lots of packets from the card. It is
+	  still somewhat experimental and thus not yet enabled by default.
+
+	  If your estimated Rx load is 10kpps or more, or if the card will be
+	  deployed on potentially unfriendly networks (e.g. in a firewall),
+	  then say Y here.
+
+	  See <file:Documentation/networking/NAPI_HOWTO.txt> for more
+	  information.
 
+	  If in doubt, say N.
 
 config SK98LIN
 	tristate "Marvell Yukon Chipset / SysKonnect SK-98xx Support"
diff -L drivers/net/Kconfig.old -puN /dev/null /dev/null
_
